Index: /branches/feature-module-zeus/data/downloads/module/mdl_zero/zeus_credit.php
===================================================================
--- /branches/feature-module-zeus/data/downloads/module/mdl_zero/zeus_credit.php	(revision 15406)
+++ /branches/feature-module-zeus/data/downloads/module/mdl_zero/zeus_credit.php	(revision 15406)
@@ -0,0 +1,129 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+require_once(MODULE_PATH . "mdl_zeus/mdl_zeus.inc");
+
+class LC_Page {
+	function LC_Page() {
+		/** É¬¤º»ØÄê¤¹¤ë **/
+		$this->tpl_mainpage = MODULE_PATH . 'mdl_paygent/paygent_credit.tpl';		// ¥á¥¤¥ó¥Æ¥ó¥×¥ì¡¼¥È
+		/*
+		 session_start»þ¤Îno-cache¥Ø¥Ã¥À¡¼¤òÍÞÀ©¤¹¤ë¤³¤È¤Ç
+		 ¡ÖÌá¤ë¡×¥Ü¥¿¥ó»ÈÍÑ»þ¤ÎÍ­¸ú´ü¸ÂÀÚ¤ìÉ½¼¨¤òÍÞÀ©¤¹¤ë¡£
+		 private-no-expire:¥¯¥é¥¤¥¢¥ó¥È¤Î¥­¥ã¥Ã¥·¥å¤òµö²Ä¤¹¤ë¡£
+		*/
+		session_cache_limiter('private-no-expire');		
+	}
+}
+
+$objPage = new LC_Page();
+$objView = new SC_SiteView();
+$objCampaignSess = new SC_CampaignSession();
+$objSiteInfo = $objView->objSiteInfo;
+$arrInfo = $objSiteInfo->data;
+
+if (GC_MobileUserAgent::isMobile()) {
+	sfDispSiteError(FREE_ERROR_MSG, "", false, "¥¯¥ì¥¸¥Ã¥È·èºÑ¤Ï¡¢¤´»ÈÍÑ¤Îµ¡¼ï¤Ë¤ÏÂÐ±þ¤·¤Æ¤ª¤ê¤Þ¤»¤ó¡£", true);
+	exit;
+}
+
+// ¥Ñ¥é¥á¡¼¥¿´ÉÍý¥¯¥é¥¹
+$objFormParam = new SC_FormParam();
+// ¥Ñ¥é¥á¡¼¥¿¾ðÊó¤Î½é´ü²½
+lfInitParam();
+// POSTÃÍ¤Î¼èÆÀ
+$objFormParam->setParam($_POST);
+
+// ¥«¡¼¥È½¸·×½èÍý
+$objPage = sfTotalCart($objPage, $objCartSess, $arrInfo);
+
+// °ì»þ¼õÃí¥Æ¡¼¥Ö¥ë¤ÎÆÉ¹þ
+$arrData = sfGetOrderTemp($uniqid);
+
+// ¥«¡¼¥È½¸·×¤ò¸µ¤ËºÇ½ª·×»»
+$arrData = sfTotalConfirm($arrData, $objPage, $objCartSess, $arrInfo);
+
+switch($_POST['mode']) {
+// Á°¤Î¥Ú¡¼¥¸¤ËÌá¤ë
+case 'return':
+	// Àµ¾ï¤Ê¿ä°Ü¤Ç¤¢¤ë¤³¤È¤òµ­Ï¿¤·¤Æ¤ª¤¯
+	$objSiteSess->setRegistFlag();
+	header("Location: " . URL_SHOP_CONFIRM);
+	exit;
+	break;
+// ¼¡¤Ø
+case 'next':
+	// ÆþÎÏÃÍ¤ÎÊÑ´¹
+	$objFormParam->convParam();
+	$objPage->arrErr = lfCheckError($arrRet);
+	// ÆþÎÏ¥¨¥é¡¼¤Ê¤·¤Î¾ì¹ç
+	if(count($objPage->arrErr) == 0) {
+
+		
+		// ÆþÎÏ¥Ç¡¼¥¿¤Î¼èÆÀ¤ò¹Ô¤¦
+    	$arrInput = $objFormParam->getHashArray();
+		
+    	sfPrintR($arrInput);
+    	
+    	
+    	// ¥¯¥ì¥¸¥Ã¥ÈÅÅÊ¸Á÷¿®
+		//$arrRet = sfSendPaygentCredit($arrData, $arrInput, $uniqid);		
+		
+		
+		// À®¸ù
+		if($arrRet['payment_id'] != "") {
+            // Àµ¾ï¤ËÅÐÏ¿¤µ¤ì¤¿¤³¤È¤òµ­Ï¿¤·¤Æ¤ª¤¯
+            $objSiteSess->setRegistFlag();
+            header("Location: " . URL_SHOP_COMPLETE);
+		} else {
+			// ¼ºÇÔ
+			$objPage->tpl_error = "Ç§¾Ú¤Ë¼ºÇÔ¤·¤Þ¤·¤¿¡£¤ª¼ê¿ô¤Ç¤¹¤¬ÆþÎÏÆâÍÆ¤ò¤´³ÎÇ§¤¯¤À¤µ¤¤¡£";
+		}
+	}
+	break;
+}
+
+$objDate = new SC_Date();
+$objDate->setStartYear(RELEASE_YEAR);
+$objDate->setEndYear(RELEASE_YEAR + CREDIT_ADD_YEAR);
+$objPage->arrYear = $objDate->getZeroYear();
+$objPage->arrMonth = $objDate->getZeroMonth();
+
+// ¶¦ÄÌ¤ÎÉ½¼¨½àÈ÷
+$objPage = sfZeusDisp($objPage, $payment_id);
+
+// »ÙÊ§²ó¿ô
+$objPage->arrPaymentClass = $arrPaymentClass;
+$objPage->arrForm = $objFormParam->getFormParamList();
+$objView->assignobj($objPage);
+// ¥Õ¥ì¡¼¥à¤òÁªÂò(¥­¥ã¥ó¥Ú¡¼¥ó¥Ú¡¼¥¸¤«¤éÁ«°Ü¤Ê¤éÊÑ¹¹)
+$objCampaignSess->pageView($objView);
+//-------------------------------------------------------------------------------------------------------
+/* ¥Ñ¥é¥á¡¼¥¿¾ðÊó¤Î½é´ü²½ */
+function lfInitParam() {
+	global $objFormParam;
+	$objFormParam->addParam("»ÙÊ§²ó¿ô", "payment_class", INT_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
+	$objFormParam->addParam("¥«¡¼¥ÉÈÖ¹æ1", "card_no01", CREDIT_NO_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
+	$objFormParam->addParam("¥«¡¼¥ÉÈÖ¹æ2", "card_no02", CREDIT_NO_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
+	$objFormParam->addParam("¥«¡¼¥ÉÈÖ¹æ3", "card_no03", CREDIT_NO_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
+	$objFormParam->addParam("¥«¡¼¥ÉÈÖ¹æ4", "card_no04", CREDIT_NO_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
+	$objFormParam->addParam("¥«¡¼¥É´ü¸ÂÇ¯", "card_year", 2, "n", array("EXIST_CHECK", "NUM_COUNT_CHECK", "NUM_CHECK"));
+	$objFormParam->addParam("¥«¡¼¥É´ü¸Â·î", "card_month", 2, "n", array("EXIST_CHECK", "NUM_COUNT_CHECK", "NUM_CHECK"));
+	$objFormParam->addParam("À«", "card_name01", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "ALPHA_CHECK"));
+	$objFormParam->addParam("Ì¾", "card_name02", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "ALPHA_CHECK"));
+}
+
+/* ÆþÎÏÆâÍÆ¤Î¥Á¥§¥Ã¥¯ */
+function lfCheckError() {
+	global $objFormParam;
+	// ÆþÎÏ¥Ç¡¼¥¿¤òÅÏ¤¹¡£
+	$arrRet =  $objFormParam->getHashArray();
+	$objErr = new SC_CheckError($arrRet);
+	$objErr->arrErr = $objFormParam->checkError();
+	
+	return $objErr->arrErr;
+}
+?>
Index: /branches/feature-module-zeus/data/downloads/module/mdl_zero/zeus_credit.tpl
===================================================================
--- /branches/feature-module-zeus/data/downloads/module/mdl_zero/zeus_credit.tpl	(revision 15406)
+++ /branches/feature-module-zeus/data/downloads/module/mdl_zero/zeus_credit.tpl	(revision 15406)
@@ -0,0 +1,190 @@
+<script type="text/javascript">
+<!--
+function next(now, next) {
+	if (now.value.length >= now.getAttribute('maxlength')) {
+	next.focus();
+	}
+}
+//-->
+</script>
+
+<!--¢§CONTENTS-->
+<table width="760" border="0" cellspacing="0" cellpadding="0" summary=" ">
+	<tr>
+		<td align="center" bgcolor="#ffffff">
+		<!--¢§MAIN ONTENTS-->
+		<!--¹ØÆþ¼êÂ³¤­¤ÎÎ®¤ì-->
+		<table width="700" border="0" cellspacing="0" cellpadding="0" summary=" ">
+			<tr>
+				<td><img src="/img/shopping/flow03.gif" width="700" height="36" alt="¹ØÆþ¼êÂ³¤­¤ÎÎ®¤ì"></td>
+
+			</tr>
+			<tr><td height="15"></td></tr>
+		</table>
+		<!--¹ØÆþ¼êÂ³¤­¤ÎÎ®¤ì-->
+		
+		<!--¢§MAIN CONTENTS-->				
+				<table width="666" border="0" cellspacing="0" cellpadding="0" summary=" ">
+					<tr>
+						<td colspan="3"><img src="/img/contents/contents_title_top.gif" width="666" height="7" alt=""></td>
+					</tr>
+					<tr>
+						<td background="/img/contents/contents_title_left_bg.gif"><img src="/img/contents/contents_title_left.gif" width="22" height="12" alt=""></td>
+						<td bgcolor="#636469" width="638" class="fs16n"><strong><span class="white"><!--{$tpl_payment_method}--></span><strong></td>
+						<td background="/img/contents/contents_title_right_bg.gif"><img src="/img/common/_.gif" width="18" height="1" alt=""></td>
+					</tr>
+					<tr>
+						<td colspan="3"><img src="/img/contents/contents_title_bottom.gif" width="666" height="7" alt=""></td>
+					</tr>
+					<tr><td height="15"></td></tr>
+				</table>
+
+				<table width="666" border="0" cellspacing="0" cellpadding="0" summary=" ">
+					<tr>
+						<td bgcolor="#ffffff">
+						
+						<!--{if $tpl_error != ""}-->
+						<!-- ¥¨¥é¡¼¥á¥Ã¥»¡¼¥¸ -->
+						<table width="666" border="0" cellspacing="0" cellpadding="0" summary=" ">
+							<tr>
+								<td bgcolor="#cccccc">
+								<table width="666" border="0" cellspacing="1" cellpadding="10" summary=" ">
+									<tr>
+										<td width="666" class="fs12" bgcolor="#ffffff">
+										<span class="redst"><!--{$tpl_error}--></span>
+										</td>
+									</tr>
+								</table>
+							</tr>
+							<tr><td height="15"></td></tr>
+						</table>
+						<!--{/if}-->
+						
+						<table width="666" border="0" cellspacing="0" cellpadding="0" summary=" ">
+						<form name="form1" id="form1" method="post" action="./load_payment_module.php" autocomplete="off">
+						<input type="hidden" name="mode" value="next">
+						<input type="hidden" name="uniqid" value="">
+							<tr><td height="5" class="fs12"></td></tr>
+							<tr>
+								<td bgcolor="#cccccc">
+								<table width="666" border="0" cellspacing="1" cellpadding="10" summary=" ">
+									<!--{if $tpl_payment_image != ""}-->
+									<tr>
+										<td width="170" class="fs12" bgcolor="#f3f3f3">¤´ÍøÍÑ¤¤¤¿¤À¤±¤ë¥«¡¼¥É¤Î¼ïÎà</td>
+										<td width="453" bgcolor="#ffffff">
+										<img src="<!--{$smarty.const.IMAGE_SAVE_URL}--><!--{$tpl_payment_image}-->">
+										</td>
+									</tr>
+									<!--{/if}-->
+									<tr>
+										<td class="fs12" bgcolor="#f3f3f3">»ÙÊ§²ó¿ô</td>
+										<!--{assign var=key1 value="payment_class"}-->
+										<td  bgcolor="#ffffff" class="fs12">
+										<span class="red"><!--{$arrErr[$key1]}--></span>
+										<select name="<!--{$key1}-->" value="<!--{$arrForm[$key1].value|escape}-->" maxlength="<!--{$arrForm[$key1].length}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->" >
+										<!--{html_options options=$arrPaymentClass selected=$arrForm[$key1].value}-->
+										</select>
+										</td>
+									</tr>
+									<tr>
+										<td class="fs12" bgcolor="#f3f3f3">¥«¡¼¥ÉÈÖ¹æ</td>
+										<td class="fs12" bgcolor="#ffffff">
+										<table border="0" cellspacing="0" cellpadding="0" summary=" ">
+											<tr>
+												<!--{assign var=key1 value="card_no01"}-->
+												<!--{assign var=key2 value="card_no02"}-->
+												<!--{assign var=key3 value="card_no03"}-->
+												<!--{assign var=key4 value="card_no04"}-->
+												<td class="fs12">
+												<span class="red"><!--{$arrErr[$key1]}--></span>
+												<span class="red"><!--{$arrErr[$key2]}--></span>
+												<span class="red"><!--{$arrErr[$key3]}--></span>
+												<span class="red"><!--{$arrErr[$key4]}--></span>
+												<input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1].value|escape}-->" maxlength="<!--{$arrForm[$key1].length}-->" style="ime-mode: disabled; <!--{$arrErr[$key1]|sfGetErrorColor}-->"  size="6" onkeyup="next(this, this.form.<!--{$key2}-->)" >&nbsp;-&nbsp;
+												<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2].value|escape}-->" maxlength="<!--{$arrForm[$key2].length}-->" style="ime-mode: disabled; <!--{$arrErr[$key2]|sfGetErrorColor}-->"  size="6" onkeyup="next(this, this.form.<!--{$key3}-->)" >&nbsp;-&nbsp;
+												<input type="text" name="<!--{$key3}-->" value="<!--{$arrForm[$key3].value|escape}-->" maxlength="<!--{$arrForm[$key3].length}-->" style="ime-mode: disabled; <!--{$arrErr[$key3]|sfGetErrorColor}-->"  size="6" onkeyup="next(this, this.form.<!--{$key4}-->)" >&nbsp;-&nbsp;
+												<input type="text" name="<!--{$key4}-->" value="<!--{$arrForm[$key4].value|escape}-->" maxlength="<!--{$arrForm[$key4].length}-->" style="ime-mode: disabled; <!--{$arrErr[$key4]|sfGetErrorColor}-->"  size="6">
+												</td>
+											</tr>
+											<tr><td height="5"></td></tr>
+											<tr>
+												<td class="fs10"><span class="orange">¤´ËÜ¿ÍÌ¾µÁ¤Î¥«¡¼¥É¤ò¤´»ÈÍÑ¤¯¤À¤µ¤¤¡£</span><br>
+												È¾³ÑÆþÎÏ¡ÊÎã¡§1234-5678-9012-3456¡Ë</td>
+											</tr>
+										</table>
+										</td>
+									</tr>
+									<tr>
+										<td class="fs12" bgcolor="#f3f3f3">Í­¸ú´ü¸Â</td>
+										<!--{assign var=key1 value="card_month"}-->
+										<!--{assign var=key2 value="card_year"}-->
+										<td  bgcolor="#ffffff" class="fs12">
+										<span class="red"><!--{$arrErr[$key1]}--></span>
+										<span class="red"><!--{$arrErr[$key2]}--></span>
+										<select name="<!--{$key1}-->" value="<!--{$arrForm[$key1].value|escape}-->" maxlength="<!--{$arrForm[$key1].length}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->" >
+										<option value="">--</option>
+										<!--{html_options options=$arrMonth selected=$arrForm[$key1].value}-->
+										</select>·î/
+										<select name="<!--{$key2}-->" value="<!--{$arrForm[$key2].value|escape}-->" maxlength="<!--{$arrForm[$key2].length}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->" >
+										<option value="">--</option>
+										<!--{html_options options=$arrYear selected=$arrForm[$key2].value}-->
+										</select>Ç¯</td>
+									</tr>
+									<tr>
+										<td class="fs12" bgcolor="#f3f3f3">¥«¡¼¥ÉÌ¾µÁ¡Ê¥í¡¼¥Þ»ú»áÌ¾¡Ë</td>
+										<td bgcolor="#ffffff">
+										<table border="0" cellspacing="0" cellpadding="0" summary=" ">
+											<tr>
+												<!--{assign var=key2 value="card_name01"}-->
+												<!--{assign var=key1 value="card_name02"}-->								
+												<td class="fs12">
+												<span class="red"><!--{$arrErr[$key1]}--></span>
+												<span class="red"><!--{$arrErr[$key2]}--></span>
+												Ì¾&nbsp;<input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1].value|escape}-->" maxlength="<!--{$arrForm[$key1].length}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->" size="20" class="bo20">&nbsp;&nbsp;À«&nbsp;
+												<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2].value|escape}-->" maxlength="<!--{$arrForm[$key2].length}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->" size="20" class="bo20"></td>
+											</tr>
+											<tr><td height="5"></td></tr>
+											<tr>
+												<td class="fs10">È¾³ÑÆþÎÏ¡ÊÎã¡§TARO YAMADA¡Ë</td>
+											</tr>
+										</table>
+										</td>
+									</tr>
+								</table>
+								</td>
+							</tr>
+						</table>
+						
+						<table width="666" border="0" cellspacing="0" cellpadding="0" summary=" ">
+							<tr><td height="5"></td></tr>
+							<tr>
+								<td align="center" bgcolor="#f7f5f4">
+								<table width="666" border="0" cellspacing="0" cellpadding="6" summary=" ">
+									<tr>
+										<td class="fs12st" align="center">°Ê¾å¤ÎÆâÍÆ¤Ç´Ö°ã¤¤¤Ê¤±¤ì¤Ð¡¢²¼µ­¡ÖÃíÊ¸´°Î»¥Ú¡¼¥¸¤Ø¡×¥Ü¥¿¥ó¤ò¥¯¥ê¥Ã¥¯¤·¤Æ¤¯¤À¤µ¤¤¡£<br>
+										<span class="orange">¢¨²èÌÌ¤¬ÀÚ¤êÂØ¤ë¤Þ¤Ç¾¯¡¹»þ´Ö¤¬¤«¤«¤ë¾ì¹ç¤¬¤´¤¶¤¤¤Þ¤¹¤¬¡¢¤½¤Î¤Þ¤Þ¤ªÂÔ¤Á¤¯¤À¤µ¤¤¡£</span></td>
+									</tr>
+									<tr>
+										<td align="center" height="40" bgcolor="#f7f5f4">
+											<a href="#" onclick="document.form2.submit(); return false;" onmouseover="chgImgImageSubmit('/img/common/b_back_on.gif',back03)" onmouseout="chgImgImageSubmit('/img/common/b_back.gif',back03)"><img src="/img/common/b_back.gif" width="150" height="30" alt="Ìá¤ë" border="0" name="back03" id="back03"/></a><img src="/img/_.gif" width="12" height="" alt="" />
+											<input type="image" onmouseover="chgImgImageSubmit('/img/common/b_next_on.gif',this)" onmouseout="chgImgImageSubmit('/img/common/b_next.gif',this)" src="/img/common/b_next.gif" width="150" height="30" alt="¼¡¤Ø" border="0" name="next" id="next" />
+										</td>
+									</tr>
+								</table>
+
+								</td>
+							</tr>
+						</table>
+						</td>
+					</tr>
+				</table>
+				</form>
+				<form name="form2" id="form2" method="post" action="./load_payment_module.php" autocomplete="off">
+				<input type="hidden" name="mode" value="return">			
+				</form>
+				<!--¢¥MAIN CONTENTS-->
+		</td>
+	</tr>
+
+</table>
+<!--¢¥CONTENTS-->