Index: /branches/feature-module-zeus/data/downloads/module/mdl_zero/mdl_zeus.tpl
===================================================================
--- /branches/feature-module-zeus/data/downloads/module/mdl_zero/mdl_zeus.tpl	(revision 15409)
+++ /branches/feature-module-zeus/data/downloads/module/mdl_zero/mdl_zeus.tpl	(revision 15409)
@@ -0,0 +1,239 @@
+<!--{*
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+*}-->
+<!--¡¡-->
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
+
+<head>
+<meta http-equiv="content-type" content="application/xhtml+xml; charset=<!--{$smarty.const.CHAR_CODE}-->" />
+<meta http-equiv="content-script-type" content="text/javascript" />
+<meta http-equiv="content-style-type" content="text/css" />
+<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->admin/css/contents.css" type="text/css" media="all" />
+<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/navi.js"></script>
+<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/win_op.js"></script>
+<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/site.js"></script>
+<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/admin.js"></script>
+<!--{include file='css/contents.tpl'}-->
+<title><!--{$tpl_subtitle}--></title>
+<script type="text/javascript">
+<!--
+self.moveTo(20,20);self.focus();
+
+function lfnChangeEnable(obj) {
+	
+	var name = obj.name;
+	var checked = obj.checked;
+	
+	var send = name+"_send";
+	var clientip = name+"_clientip";
+	
+	
+	if(name = 'pc'){
+		document.form1[send].disabled = !checked;
+		document.form1[clientip].disabled = !checked;
+		
+		if(checked){
+			if(document.form1[send].style.backgroundColor == "#f0f0f0") document.form1[send].style.backgroundColor = "";
+			if(document.form1[clientip].style.backgroundColor == "#f0f0f0") document.form1[clientip].style.backgroundColor = "";
+		}else{
+			document.form1[send].style.backgroundColor = "#f0f0f0";
+			document.form1[clientip].style.backgroundColor = "#f0f0f0";
+		}
+	}
+
+}
+
+function win_open(URL){
+	var WIN;
+	WIN = window.open(URL);
+	WIN.focus();
+}
+//-->
+</script>
+</head>
+
+<body bgcolor="#ffffff" text="#666666" link="#007bb7" vlink="#007bb7" alink="#cc0000" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload='lfnChangeEnable(document.form1.pc);lfnChangeEnable(document.form1.mobile); <!--{$tpl_onload}-->'>
+<noscript>
+<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->admin/css/common.css" type="text/css" />
+</noscript>
+
+<div align="center">
+<!--¡ú¡ú¥á¥¤¥ó¥³¥ó¥Æ¥ó¥Ä¡ú¡ú-->
+<table width="500" border="0" cellspacing="0" cellpadding="0" summary=" ">
+<form name="form1" id="form1" method="post" action="<!--{$smarty.server.REQUEST_URI|escape}-->">
+<input type="hidden" name="mode" value="edit">
+	<tr valign="top">
+		<td class="mainbg">
+			<!--¢§ÅÐÏ¿¥Æ¡¼¥Ö¥ë¤³¤³¤«¤é-->
+			<table width="500" border="0" cellspacing="0" cellpadding="0" summary=" ">
+				<!--¥á¥¤¥ó¥¨¥ê¥¢-->
+				<tr>
+					<td align="center">
+						<table width="470" border="0" cellspacing="0" cellpadding="0" summary=" ">
+							<tr><td height="14"></td></tr>
+							<tr>
+								<td colspan="3"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/main_top.jpg" width="470" height="14" alt=""></td>
+							</tr>
+							<tr>
+								<td background="<!--{$smarty.const.URL_DIR}-->img/contents/main_left.jpg"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
+								<td bgcolor="#cccccc" >
+									<table width="442" border="0" cellspacing="0" cellpadding="0" summary=" ">
+										<tr>
+											<td colspan="3"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/contents_title_top.gif" width="442" height="7" alt=""></td>
+										</tr>
+										<tr>
+											<td background="<!--{$smarty.const.URL_DIR}-->img/contents/contents_title_left_bg.gif"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/contents_title_left.gif" width="22" height="12" alt=""></td>
+											<td bgcolor="#636469" width="402" class="fs14n"><span class="white"><!--¥³¥ó¥Æ¥ó¥Ä¥¿¥¤¥È¥ë--><!--{$tpl_subtitle}--></span></td>
+											<td background="<!--{$smarty.const.URL_DIR}-->img/contents/contents_title_right_bg.gif"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="18" height="1" alt=""></td>
+										</tr>
+										<tr>
+											<td colspan="3"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/contents_title_bottom.gif" width="442" height="7" alt=""></td>
+										</tr>
+										<tr>
+											<td colspan="3"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/main_bar.jpg" width="442" height="10" alt=""></td>
+										</tr>
+									</table>
+
+									<table width="442" border="0" cellspacing="1" cellpadding="8" summary=" ">
+										<tr class="fs12n">
+											<td bgcolor="#ffffff">
+												¥¼¥í·èºÑ¥â¥¸¥å¡¼¥ë¤ò¤´ÍøÍÑÄº¤¯°Ù¤Ë¤Ï¡¢¥æ¡¼¥¶ÍÍ¤´¼«¿È¤Ç
+												³ô¼°²ñ¼Ò¥¼¥íÍÍ¤È¤´·ÀÌó¤ò¹Ô¤Ã¤Æ¤¤¤¿¤À¤¯É¬Í×¤¬¤¢¤ê¤Þ¤¹¡£ <br/>
+												¤ª¿½¤·¹þ¤ß¤Ë¤Ä¤­¤Þ¤·¤Æ¤Ï¡¢²¼µ­¤Î¥Ú¡¼¥¸¤«¤é¡¢¤ª¿½¤·¹þ¤ß¤ò¹Ô¤Ã¤Æ²¼¤µ¤¤¡£<br/><br/>
+												<a href="#" onClick="win_open('http://www.zeroweb.co.jp/')" > ¡ä¡ä ¥¼¥í·èºÑ¥·¥¹¥Æ¥à¤Ë¤Ä¤¤¤Æ</a><br/>
+												<a href="#" onClick="win_open('http://wiki.ec-cube.net/')" > ¡ä¡ä ¥¼¥í·èºÑ¥â¥¸¥å¡¼¥ëÀßÄê¥Þ¥Ë¥å¥¢¥ë</a>
+											</td>
+										</tr>
+									</table>
+									
+									<table width="442" border="0" cellspacing="0" cellpadding="0" summary=" ">
+										<tr><td><img src="<!--{$smarty.const.URL_DIR}-->img/contents/main_bar.jpg" width="442" height="10" alt=""></td></tr>
+									</table>
+
+									<table width="442" border="0" cellspacing="1" cellpadding="8" summary=" ">
+										<tr class="fs12n"><!--{assign var=key value="pc"}-->
+											<td bgcolor="#f3f3f3" colspan="2"><input type="checkbox" name="<!--{$key}-->" style="<!--{$arrErr[$key]|sfGetErrorColor}-->" value="1" id="<!--{$key}-->" onClick="lfnChangeEnable(this);" <!--{if $arrForm[$key].value != ""}-->checked<!--{/if}-->><label for="<!--{$key}-->">PCÈÇ</label></td>
+										</tr>
+										<tr class="fs12n">
+											<td width="" bgcolor="#f3f3f3">²ÃÌÁÅ¹¥³¡¼¥É<span class="red"> ¢¨</span></td>
+											<td width="300" bgcolor="#ffffff">
+											<!--{assign var=key value="pc_send"}-->
+											<span class="red12"><!--{$arrErr[$key]}--></span>
+											<input type="text" name="<!--{$key}-->" style="ime-mode:disabled; <!--{$arrErr[$key]|sfGetErrorColor}-->" value="<!--{$arrForm[$key].value}-->" class="box10" maxlength="<!--{$arrForm[$key].length}-->">
+											</td>
+										</tr>
+										<tr class="fs12n">
+											<td width="" bgcolor="#f3f3f3">ÈÖÁÈ¥³¡¼¥É<span class="red"> ¢¨</span></td>
+											<td width="300" bgcolor="#ffffff">
+											<!--{assign var=key value="pc_clientip"}-->
+											<span class="red12"><!--{$arrErr[$key]}--></span>
+											<input type="text" name="<!--{$key}-->" style="ime-mode:disabled; <!--{$arrErr[$key]|sfGetErrorColor}-->" value="<!--{$arrForm[$key].value}-->" class="box10" maxlength="<!--{$arrForm[$key].length}-->">
+											</td>
+										</tr>
+										<tr class="fs12n">
+											<td width="" bgcolor="#f3f3f3">ÀÜÂ³ÀèURL</td>
+											<td width="300" bgcolor="#ffffff">
+												<!--{$smarty.const.SEND_PARAM_PC_URL}-->
+											</td>
+										</tr>
+										<!--{assign var=key value="pc_service"}-->
+										<!--{if $arrErr[$key] != ""}-->
+										<tr class="fs12n">
+											<td bgcolor="#ffffff" colspan=2>
+											<span class="red12"><!--{$arrErr[$key]}--></span>
+											</td>
+										</tr>
+										<!--{/if}-->
+									</table>
+									
+									<table width="442" border="0" cellspacing="0" cellpadding="0" summary=" ">
+										<tr><td><img src="<!--{$smarty.const.URL_DIR}-->img/contents/main_bar.jpg" width="442" height="10" alt=""></td></tr>
+									</table>
+
+									<table width="442" border="0" cellspacing="1" cellpadding="8" summary=" ">
+										<tr class="fs12n"><!--{assign var=key value="mobile"}-->
+											<td bgcolor="#f3f3f3" colspan="2"><input type="checkbox" name="<!--{$key}-->" style="<!--{$arrErr[$key]|sfGetErrorColor}-->" value="1" id="<!--{$key}-->" onClick="lfnChangeEnable(this);" <!--{if $arrForm[$key].value != ""}-->checked<!--{/if}-->><label for="<!--{$key}-->">·ÈÂÓÈÇ</label></td>
+										</tr>
+										<tr class="fs12n">
+											<td width="" bgcolor="#f3f3f3">²ÃÌÁÅ¹¥³¡¼¥É<span class="red"> ¢¨</span></td>
+											<td width="300" bgcolor="#ffffff">
+											<!--{assign var=key value="mobile_send"}-->
+											<span class="red12"><!--{$arrErr[$key]}--></span>
+											<input type="text" name="<!--{$key}-->" style="ime-mode:disabled; <!--{$arrErr[$key]|sfGetErrorColor}-->" value="<!--{$arrForm[$key].value}-->" class="box10" maxlength="<!--{$arrForm[$key].length}-->">
+											</td>
+										</tr>
+										<tr class="fs12n">
+											<td width="" bgcolor="#f3f3f3">ÈÖÁÈ¥³¡¼¥É<span class="red"> ¢¨</span></td>
+											<td width="300" bgcolor="#ffffff">
+											<!--{assign var=key value="mobile_clientip"}-->
+											<span class="red12"><!--{$arrErr[$key]}--></span>
+											<input type="text" name="<!--{$key}-->" style="ime-mode:disabled; <!--{$arrErr[$key]|sfGetErrorColor}-->" value="<!--{$arrForm[$key].value}-->" class="box10" maxlength="<!--{$arrForm[$key].length}-->">
+											</td>
+										</tr>
+										<tr class="fs12n">
+											<td width="" bgcolor="#f3f3f3">ÀÜÂ³ÀèURL</td>
+											<td width="300" bgcolor="#ffffff">
+												<!--{$smarty.const.SEND_PARAM_MOBILE_URL}-->
+											</td>
+										</tr>
+										<!--{assign var=key value="mobile_service"}-->
+										<!--{if $arrErr[$key] != ""}-->
+										<tr class="fs12n">
+											<td bgcolor="#ffffff" colspan=2>
+											<span class="red12"><!--{$arrErr[$key]}--></span>
+											</td>
+										</tr>
+										<!--{/if}-->
+									</table>
+
+									<table width="442" border="0" cellspacing="0" cellpadding="0" summary=" ">
+										<tr>
+											<td bgcolor="#cccccc"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="1" height="5" alt=""></td>
+											<td><img src="<!--{$smarty.const.URL_DIR}-->img/contents/tbl_top.gif" width="440" height="7" alt=""></td>
+											<td bgcolor="#cccccc"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="1" height="5" alt=""></td>
+										</tr>
+										<tr>
+											<td bgcolor="#cccccc"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="1" height="10" alt=""></td>
+											<td bgcolor="#e9e7de" align="center">
+											<table border="0" cellspacing="0" cellpadding="0" summary=" ">
+												<tr>
+													<td><input type="image" onMouseover="chgImgImageSubmit('<!--{$smarty.const.URL_DIR}-->img/contents/btn_regist_on.jpg',this)" onMouseout="chgImgImageSubmit('<!--{$smarty.const.URL_DIR}-->img/contents/btn_regist.jpg',this)" src="<!--{$smarty.const.URL_DIR}-->img/contents/btn_regist.jpg" width="123" height="24" alt="¤³¤ÎÆâÍÆ¤ÇÅÐÏ¿¤¹¤ë" border="0" name="subm" onClick="document.body.style.cursor = 'wait';"></td>
+												</tr>
+											</table>
+											</td>
+											<td bgcolor="#cccccc"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="1" height="10" alt=""></td>
+										</tr>
+										<tr>
+											<td colspan="3"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/tbl_bottom.gif" width="442" height="8" alt=""></td>
+										</tr>
+									</table>
+								</td>
+								<td background="<!--{$smarty.const.URL_DIR}-->img/contents/main_right.jpg"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
+							</tr>
+							<tr>
+								<td colspan="3"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/main_bottom.jpg" width="470" height="14" alt=""></td>
+							</tr>
+							<tr><td height="30"></td></tr>
+						</table>
+					</td>
+				</tr>
+				<!--¥á¥¤¥ó¥¨¥ê¥¢-->
+			</table>
+			<!--¢¥ÅÐÏ¿¥Æ¡¼¥Ö¥ë¤³¤³¤Þ¤Ç-->
+		</td>
+	</tr>
+</form>
+</table>
+<!--¡ú¡ú¥á¥¤¥ó¥³¥ó¥Æ¥ó¥Ä¡ú¡ú-->
+</div>
+
+</body>
+</html>
+
+