Index: /branches/feature-module-zeus/data/downloads/module/mdl_zeus/mdl_zeus.tpl
===================================================================
--- /branches/feature-module-zeus/data/downloads/module/mdl_zeus/mdl_zeus.tpl	(revision 15418)
+++ /branches/feature-module-zeus/data/downloads/module/mdl_zeus/mdl_zeus.tpl	(revision 15431)
@@ -26,28 +26,4 @@
 self.moveTo(20,20);self.focus();
 
-function lfnChangeEnable(obj) {
-	
-	var name = obj.name;
-	var checked = obj.checked;
-	
-	var send = name+"_send";
-	var clientip = name+"_clientip";
-	
-	
-	if(name = 'pc'){
-		document.form1[send].disabled = !checked;
-		document.form1[clientip].disabled = !checked;
-		
-		if(checked){
-			if(document.form1[send].style.backgroundColor == "#f0f0f0") document.form1[send].style.backgroundColor = "";
-			if(document.form1[clientip].style.backgroundColor == "#f0f0f0") document.form1[clientip].style.backgroundColor = "";
-		}else{
-			document.form1[send].style.backgroundColor = "#f0f0f0";
-			document.form1[clientip].style.backgroundColor = "#f0f0f0";
-		}
-	}
-
-}
-
 function win_open(URL){
 	var WIN;
@@ -59,5 +35,5 @@
 </head>
 
-<body bgcolor="#ffffff" text="#666666" link="#007bb7" vlink="#007bb7" alink="#cc0000" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload='lfnChangeEnable(document.form1.pc);lfnChangeEnable(document.form1.mobile); <!--{$tpl_onload}-->'>
+<body bgcolor="#ffffff" text="#666666" link="#007bb7" vlink="#007bb7" alink="#cc0000" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload='<!--{$tpl_onload}-->'>
 <noscript>
 <link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->admin/css/common.css" type="text/css" />
@@ -104,9 +80,8 @@
 										<tr class="fs12n">
 											<td bgcolor="#ffffff">
-												¥¼¥í·èºÑ¥â¥¸¥å¡¼¥ë¤ò¤´ÍøÍÑÄº¤¯°Ù¤Ë¤Ï¡¢¥æ¡¼¥¶ÍÍ¤´¼«¿È¤Ç
-												³ô¼°²ñ¼Ò¥¼¥íÍÍ¤È¤´·ÀÌó¤ò¹Ô¤Ã¤Æ¤¤¤¿¤À¤¯É¬Í×¤¬¤¢¤ê¤Þ¤¹¡£ <br/>
+												¥¼¥¦¥¹·èºÑ¥â¥¸¥å¡¼¥ë¤ò¤´ÍøÍÑÄº¤¯°Ù¤Ë¤Ï¡¢¥æ¡¼¥¶ÍÍ¤´¼«¿È¤Ç
+												³ô¼°²ñ¼Ò¥¼¥¦¥¹ÍÍ¤È¤´·ÀÌó¤ò¹Ô¤Ã¤Æ¤¤¤¿¤À¤¯É¬Í×¤¬¤¢¤ê¤Þ¤¹¡£ <br/>
 												¤ª¿½¤·¹þ¤ß¤Ë¤Ä¤­¤Þ¤·¤Æ¤Ï¡¢²¼µ­¤Î¥Ú¡¼¥¸¤«¤é¡¢¤ª¿½¤·¹þ¤ß¤ò¹Ô¤Ã¤Æ²¼¤µ¤¤¡£<br/><br/>
-												<a href="#" onClick="win_open('http://www.zeroweb.co.jp/')" > ¡ä¡ä ¥¼¥í·èºÑ¥·¥¹¥Æ¥à¤Ë¤Ä¤¤¤Æ</a><br/>
-												<a href="#" onClick="win_open('http://wiki.ec-cube.net/')" > ¡ä¡ä ¥¼¥í·èºÑ¥â¥¸¥å¡¼¥ëÀßÄê¥Þ¥Ë¥å¥¢¥ë</a>
+												<a href="#" onClick="win_open('http://www.cardservice.co.jp/')" > ¡ä¡ä ¥¼¥¦¥¹·èºÑ¥·¥¹¥Æ¥à¤Ë¤Ä¤¤¤Æ</a>
 											</td>
 										</tr>
@@ -118,19 +93,11 @@
 
 									<table width="442" border="0" cellspacing="1" cellpadding="8" summary=" ">
-										<tr class="fs12n"><!--{assign var=key value="pc"}-->
-											<td bgcolor="#f3f3f3" colspan="2"><input type="checkbox" name="<!--{$key}-->" style="<!--{$arrErr[$key]|sfGetErrorColor}-->" value="1" id="<!--{$key}-->" onClick="lfnChangeEnable(this);" <!--{if $arrForm[$key].value != ""}-->checked<!--{/if}-->><label for="<!--{$key}-->">PCÈÇ</label></td>
+										<tr class="fs12n">
+											<td colspan="2" width="90" bgcolor="#f3f3f3">¢£Secure Link</td>
 										</tr>
 										<tr class="fs12n">
-											<td width="" bgcolor="#f3f3f3">²ÃÌÁÅ¹¥³¡¼¥É<span class="red"> ¢¨</span></td>
+											<td width="" bgcolor="#f3f3f3">²ÃÌÁÅ¹IP¥³¡¼¥É<span class="red"> ¢¨</span></td>
 											<td width="300" bgcolor="#ffffff">
-											<!--{assign var=key value="pc_send"}-->
-											<span class="red12"><!--{$arrErr[$key]}--></span>
-											<input type="text" name="<!--{$key}-->" style="ime-mode:disabled; <!--{$arrErr[$key]|sfGetErrorColor}-->" value="<!--{$arrForm[$key].value}-->" class="box10" maxlength="<!--{$arrForm[$key].length}-->">
-											</td>
-										</tr>
-										<tr class="fs12n">
-											<td width="" bgcolor="#f3f3f3">ÈÖÁÈ¥³¡¼¥É<span class="red"> ¢¨</span></td>
-											<td width="300" bgcolor="#ffffff">
-											<!--{assign var=key value="pc_clientip"}-->
+											<!--{assign var=key value="clientip"}-->
 											<span class="red12"><!--{$arrErr[$key]}--></span>
 											<input type="text" name="<!--{$key}-->" style="ime-mode:disabled; <!--{$arrErr[$key]|sfGetErrorColor}-->" value="<!--{$arrForm[$key].value}-->" class="box10" maxlength="<!--{$arrForm[$key].length}-->">
@@ -140,57 +107,9 @@
 											<td width="" bgcolor="#f3f3f3">ÀÜÂ³ÀèURL</td>
 											<td width="300" bgcolor="#ffffff">
-												<!--{$smarty.const.SEND_PARAM_PC_URL}-->
+												<!--{$smarty.const.SECURE_LINK_URL}-->
 											</td>
 										</tr>
-										<!--{assign var=key value="pc_service"}-->
-										<!--{if $arrErr[$key] != ""}-->
-										<tr class="fs12n">
-											<td bgcolor="#ffffff" colspan=2>
-											<span class="red12"><!--{$arrErr[$key]}--></span>
-											</td>
-										</tr>
-										<!--{/if}-->
 									</table>
 									
-									<table width="442" border="0" cellspacing="0" cellpadding="0" summary=" ">
-										<tr><td><img src="<!--{$smarty.const.URL_DIR}-->img/contents/main_bar.jpg" width="442" height="10" alt=""></td></tr>
-									</table>
-
-									<table width="442" border="0" cellspacing="1" cellpadding="8" summary=" ">
-										<tr class="fs12n"><!--{assign var=key value="mobile"}-->
-											<td bgcolor="#f3f3f3" colspan="2"><input type="checkbox" name="<!--{$key}-->" style="<!--{$arrErr[$key]|sfGetErrorColor}-->" value="1" id="<!--{$key}-->" onClick="lfnChangeEnable(this);" <!--{if $arrForm[$key].value != ""}-->checked<!--{/if}-->><label for="<!--{$key}-->">·ÈÂÓÈÇ</label></td>
-										</tr>
-										<tr class="fs12n">
-											<td width="" bgcolor="#f3f3f3">²ÃÌÁÅ¹¥³¡¼¥É<span class="red"> ¢¨</span></td>
-											<td width="300" bgcolor="#ffffff">
-											<!--{assign var=key value="mobile_send"}-->
-											<span class="red12"><!--{$arrErr[$key]}--></span>
-											<input type="text" name="<!--{$key}-->" style="ime-mode:disabled; <!--{$arrErr[$key]|sfGetErrorColor}-->" value="<!--{$arrForm[$key].value}-->" class="box10" maxlength="<!--{$arrForm[$key].length}-->">
-											</td>
-										</tr>
-										<tr class="fs12n">
-											<td width="" bgcolor="#f3f3f3">ÈÖÁÈ¥³¡¼¥É<span class="red"> ¢¨</span></td>
-											<td width="300" bgcolor="#ffffff">
-											<!--{assign var=key value="mobile_clientip"}-->
-											<span class="red12"><!--{$arrErr[$key]}--></span>
-											<input type="text" name="<!--{$key}-->" style="ime-mode:disabled; <!--{$arrErr[$key]|sfGetErrorColor}-->" value="<!--{$arrForm[$key].value}-->" class="box10" maxlength="<!--{$arrForm[$key].length}-->">
-											</td>
-										</tr>
-										<tr class="fs12n">
-											<td width="" bgcolor="#f3f3f3">ÀÜÂ³ÀèURL</td>
-											<td width="300" bgcolor="#ffffff">
-												<!--{$smarty.const.SEND_PARAM_MOBILE_URL}-->
-											</td>
-										</tr>
-										<!--{assign var=key value="mobile_service"}-->
-										<!--{if $arrErr[$key] != ""}-->
-										<tr class="fs12n">
-											<td bgcolor="#ffffff" colspan=2>
-											<span class="red12"><!--{$arrErr[$key]}--></span>
-											</td>
-										</tr>
-										<!--{/if}-->
-									</table>
-
 									<table width="442" border="0" cellspacing="0" cellpadding="0" summary=" ">
 										<tr>
Index: /branches/feature-module-zeus/data/downloads/module/mdl_zeus/mdl_zeus.php
===================================================================
--- /branches/feature-module-zeus/data/downloads/module/mdl_zeus/mdl_zeus.php	(revision 15430)
+++ /branches/feature-module-zeus/data/downloads/module/mdl_zeus/mdl_zeus.php	(revision 15431)
@@ -42,5 +42,5 @@
     // ÆþÎÏ¥¨¥é¡¼È½Äê
     $objPage->arrErr = lfCheckError();
-
+	
     // ¥¨¥é¡¼¤Ê¤·¤Î¾ì¹ç¤Ë¤Ï¥Ç¡¼¥¿¤ò¹¹¿·    
     if(count($objPage->arrErr) == 0) {
@@ -72,12 +72,5 @@
 /* ¥Ñ¥é¥á¡¼¥¿¾ðÊó¤Î½é´ü²½ */
 function lfInitParam($objFormParam) {
-    $objFormParam->addParam("PCÈÇ", "pc", INT_LEN, "n");
-    $objFormParam->addParam("²ÃÌÁÅ¹¥³¡¼¥É", "pc_send", SEND_LEN, "KVa", array("MAX_LENGTH_CHECK", "SPTAB_CHECK"));
-    $objFormParam->addParam("ÈÖÁÈ¥³¡¼¥É ", "pc_clientip", CLIENTIP_LEN, "KVa", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
-
-    $objFormParam->addParam("·ÈÂÓÈÇ", "mobile", INT_LEN, "n");
-    $objFormParam->addParam("²ÃÌÁÅ¹¥³¡¼¥É", "mobile_send", SEND_LEN, "KVa", array("MAX_LENGTH_CHECK", "SPTAB_CHECK"));
-    $objFormParam->addParam("ÈÖÁÈ¥³¡¼¥É ", "mobile_clientip", CLIENTIP_LEN, "KVa", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
-    
+    $objFormParam->addParam("²ÃÌÁÅ¹IP¥³¡¼¥É", "clientip", CLIENTIP_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "SPTAB_CHECK"));
     return $objFormParam;
 }
@@ -89,16 +82,6 @@
     $arrErr = $objFormParam->checkError();
     
-    if($_POST["pc"]){
-        if(empty($_POST["pc_send"])) $arrErr["pc_send"] = "¢¨ ²ÃÌÁÅ¹¥³¡¼¥É ¤¬ÆþÎÏ¤µ¤ì¤Æ¤¤¤Þ¤»¤ó¡£<br>";
-        if(empty($_POST["pc_clientip"])) $arrErr["pc_clientip"] = "¢¨ ÈÖÁÈ¥³¡¼¥É ¤¬ÆþÎÏ¤µ¤ì¤Æ¤¤¤Þ¤»¤ó¡£<br>";
-    }
-
-    if($_POST["mobile"]){
-        if(empty($_POST["mobile_send"])) $arrErr["mobile_send"] = "¢¨ ²ÃÌÁÅ¹¥³¡¼¥É ¤¬ÆþÎÏ¤µ¤ì¤Æ¤¤¤Þ¤»¤ó¡£<br>";
-        if(empty($_POST["mobile_clientip"])) $arrErr["mobile_clientip"] = "¢¨ ÈÖÁÈ¥³¡¼¥É ¤¬ÆþÎÏ¤µ¤ì¤Æ¤¤¤Þ¤»¤ó¡£<br>";
-    }
-    
     // ÀÜÂ³¥Á¥§¥Ã¥¯¤ò¹Ô¤¦
-    if(count($arrErr) == 0) $arrErr = lfChkConnect();
+    //if(count($arrErr) == 0) $arrErr = lfChkConnect();
     
     return $arrErr;
@@ -179,8 +162,5 @@
     $sql = "SELECT 
                 module_id, 
-                memo01 as pc_send, 
-                memo02 as pc_clientip,
-                memo04 as mobile_send, 
-                memo05 as mobile_clientip
+                memo01 as clientip
             FROM dtb_payment WHERE module_id = ? " . $where;
     $arrRet = $objQuery->getall($sql, $arrVal);
@@ -201,31 +181,13 @@
     $objQuery->query($del_sql, $arrDel);
 
-    // PCÍÑ¥Ç¡¼¥¿ÅÐÏ¿
-    if($_POST["pc"]){
-		$arrData["payment_method"] = "Zero¥¯¥ì¥¸¥Ã¥È";
-		$arrData["fix"] = 3;
-		$arrData["creator_id"] = $objSess->member_id;
-		$arrData["update_date"] = "now()";
-		$arrData["module_id"] = MDL_ZEUS_ID;
-		$arrData["module_path"] = MODULE_PATH . "mdl_zeus/zeus_credit.php";
-		$arrData["memo01"] = $_POST["pc_send"];
-		$arrData["memo02"] = $_POST["pc_clientip"];
-		$arrData["memo03"] = ZERO_CREDIT_ID;
-		$arrData["del_flg"] = "0";
-    }
-    
-    // ·ÈÂÓÍÑ¥Ç¡¼¥¿ÅÐÏ¿
-    if($_POST["mobile"]){
-		$arrData["payment_method"] = "Zero¥¯¥ì¥¸¥Ã¥È";
-		$arrData["fix"] = 3;
-		$arrData["creator_id"] = $objSess->member_id;
-		$arrData["update_date"] = "now()";
-		$arrData["module_id"] = MDL_ZEUS_ID;
-		$arrData["module_path"] = MODULE_PATH . "mdl_zeus/zeus_credit.php";
-		$arrData["memo03"] = ZERO_CREDIT_ID;
-		$arrData["memo04"] = $_POST["mobile_send"];
-		$arrData["memo05"] = $_POST["mobile_clientip"];
-		$arrData["del_flg"] = "0";
-    }
+    // ¥Ç¡¼¥¿ÅÐÏ¿
+	$arrData["payment_method"] = "Zero¥¯¥ì¥¸¥Ã¥È";
+	$arrData["fix"] = 3;
+	$arrData["creator_id"] = $objSess->member_id;
+	$arrData["update_date"] = "now()";
+	$arrData["module_id"] = MDL_ZEUS_ID;
+	$arrData["module_path"] = MODULE_PATH . "mdl_zeus/zeus_credit.php";
+	$arrData["memo01"] = $_POST["clientip"];
+	$arrData["del_flg"] = "0";
     
     // ¹¹¿·¥Ç¡¼¥¿¤¬¤¢¤ì¤Ð¹¹¿·¤¹¤ë¡£
Index: /branches/feature-module-zeus/data/downloads/module/mdl_zeus/mdl_zeus.inc
===================================================================
--- /branches/feature-module-zeus/data/downloads/module/mdl_zeus/mdl_zeus.inc	(revision 15429)
+++ /branches/feature-module-zeus/data/downloads/module/mdl_zeus/mdl_zeus.inc	(revision 15431)
@@ -42,13 +42,9 @@
 	$sql = "SELECT 
 				module_id, 
-				memo01 as merchant_id, 
-				memo02 as connect_id, 
-				memo03 as payment,
-				memo04 as connect_password, 
-				memo05 as other_param
+				memo01 as clientip
 			FROM dtb_payment WHERE module_id = ? " . $where;
 	$arrRet = $objQuery->getall($sql, $arrVal);
 
-	return $arrRet;
+	return $arrRet[0];
 }
 
@@ -62,6 +58,7 @@
  **************************************************************************************************************/
 function sfPostPaymentData($arrData, $arrInput){
+	$arrPaymentDB = sfGetPaymentDB(MDL_ZEUS_ID);
 	$arrPost = array(
-		'clientip' => '94181',
+		'clientip' => $arrPaymentDB['clientip'],
 		'cardnumber' => $arrInput['card_no01'].$arrInput['card_no02'].$arrInput['card_no03'].$arrInput['card_no04'],
 		'expyy' => $arrInput['card_year'],