Index: /branches/feature-module-zeus/.project
===================================================================
--- /branches/feature-module-zeus/.project	(revision 14676)
+++ /branches/feature-module-zeus/.project	(revision 15438)
@@ -1,17 +1,22 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <projectDescription>
-	<name>ec-cube.net-beta</name>
+	<name>uuu</name>
 	<comment></comment>
 	<projects>
 	</projects>
 	<buildSpec>
-   <buildCommand>
-       <name>net.sourceforge.phpeclipse.parserbuilder</name>
-       <arguments>
-       </arguments>
-   </buildCommand>
- </buildSpec>
- <natures>
-   <nature>net.sourceforge.phpeclipse.phpnature</nature>
- </natures>
+		<buildCommand>
+			<name>org.eclipse.php.core.PhpIncrementalProjectBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.wst.validation.validationbuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.php.core.PHPNature</nature>
+	</natures>
 </projectDescription>
Index: /branches/feature-module-zeus/html/mobile/index.php
===================================================================
--- /branches/feature-module-zeus/html/mobile/index.php	(revision 11846)
+++ /branches/feature-module-zeus/html/mobile/index.php	(revision 15438)
@@ -9,5 +9,4 @@
  * ¥â¥Ð¥¤¥ë¥µ¥¤¥È/¥È¥Ã¥×¥Ú¡¼¥¸
  */
-
 require_once('./require.php');
 
Index: /branches/feature-module-zeus/html/mobile/require.php
===================================================================
--- /branches/feature-module-zeus/html/mobile/require.php	(revision 12195)
+++ /branches/feature-module-zeus/html/mobile/require.php	(revision 15438)
@@ -9,11 +9,20 @@
 $include_dir = realpath(dirname( __FILE__));
 require_once($include_dir . "/../define.php");
+require_once($include_dir . "/.." . HTML2DATA_DIR . "conf/conf.php");
 
-require_once($include_dir . "/.." . HTML2DATA_DIR . "conf/conf.php");
 require_once($include_dir . "/.." . HTML2DATA_DIR . "conf/mobile_conf.php");
+
+
 require_once($include_dir . "/.." . HTML2DATA_DIR . "include/module.inc");
+
+
+
+
 require_once($include_dir . "/.." . HTML2DATA_DIR . "include/mobile.inc");
+
+
 require_once($include_dir . "/.." . HTML2DATA_DIR . "lib/glib.php");
 require_once($include_dir . "/.." . HTML2DATA_DIR . "lib/slib.php");
+
 require_once($include_dir . "/.." . HTML2DATA_DIR . "class/SC_View.php");
 require_once($include_dir . "/.." . HTML2DATA_DIR . "class/SC_DbConn.php");
Index: /branches/feature-module-zeus/data/include/mobile.inc
===================================================================
--- /branches/feature-module-zeus/data/include/mobile.inc	(revision 15437)
+++ /branches/feature-module-zeus/data/include/mobile.inc	(revision 15438)
@@ -15,8 +15,13 @@
  */
 function lfMobileCheckCompatibility() {
+	
+
+	
 	if (!GC_MobileUserAgent::isSupported()) {
 		header('Location: ' . URL_DIR . 'unsupported/index.php');
 		exit;
 	}
+	
+
 }
 
@@ -117,4 +122,5 @@
 	// ÇÛÎó mobile ¤¬ÅÐÏ¿¤µ¤ì¤Æ¤¤¤ë¤«¤É¤¦¤«¤ò¥Á¥§¥Ã¥¯¤¹¤ë¡£
 	if (!is_array(@$_SESSION['mobile'])) {
+		gfprintlog("ÇÛÎómobile¤¬ÅÐÏ¿¤µ¤ì¤Æ¤¤¤Ê¤¤¡£");
 		return false;
 	}
@@ -125,5 +131,5 @@
 		           date('Y/m/d H:i:s', @$_SESSION['mobile']['expires']) .
 		           ' : sid=' . session_id());
-
+		gfprintlog("SESSIONÍ­¸ú´ü¸Â¤ò²á¤®¤Æ¤¤¤ë");		           
 		return false;
 	}
@@ -135,7 +141,9 @@
 		           "\"$model\" != \"" . @$_SESSION['mobile']['model'] .
 		           '" (expected), sid=' . session_id());
-		return false;
-	}
-
+		gfprintlog("·ÈÂÓÃ¼Ëö¤Îµ¡¼ï¤¬°ìÃ×¤·¤Ê¤¤");	
+		return false;
+	}
+	
+	gfprintlog("¥»¥Ã¥·¥ç¥ó¥Ç¡¼¥¿¤¬Í­¸ú");
 	return true;
 }
@@ -173,5 +181,10 @@
 	// ¥»¥Ã¥·¥ç¥óID¤Þ¤¿¤Ï¥»¥Ã¥·¥ç¥ó¥Ç¡¼¥¿¤¬Ìµ¸ú¤Ê¾ì¹ç¤Ï¡¢¥»¥Ã¥·¥ç¥óID¤òºÆÀ¸À®
 	// ¤·¡¢¥»¥Ã¥·¥ç¥ó¥Ç¡¼¥¿¤ò½é´ü²½¤¹¤ë¡£
+	if ($sessionId === false) {
+		gfprintlog("\$sessionId === false");
+	}
+		
 	if ($sessionId === false || !lfMobileValidateSession()) {
+		
 		session_regenerate_id();
 		$_SESSION = array('mobile' => array('model'    => GC_MobileUserAgent::getModel(),
@@ -181,7 +194,10 @@
 		// ¿·¤·¤¤¥»¥Ã¥·¥ç¥óID¤òÉÕ²Ã¤·¤Æ¥ê¥À¥¤¥ì¥¯¥È¤¹¤ë¡£
 		if ($_SERVER['REQUEST_METHOD'] == 'GET') {
+			gfprintlog("GETÍ×µá¤Î¼èÆÀ:".$_GET['PHPSESSID']);
+			gfprintlog("¥ê¥À¥¤¥ì¥¯¥È:".gfAddSessionId());
 			// GET ¤Î¾ì¹ç¤ÏÆ±¤¸¥Ú¡¼¥¸¤Ë¥ê¥À¥¤¥ì¥¯¥È¤¹¤ë¡£
 			header('Location: ' . gfAddSessionId());
 		} else {
+			gfprintlog("GETÍ×µá¤¬¤Ê¤·");
 			// GET °Ê³°¤Î¾ì¹ç¤Ï¥È¥Ã¥×¥Ú¡¼¥¸¤Ø¥ê¥À¥¤¥ì¥¯¥È¤¹¤ë¡£
 			header('Location: ' . URL_SITE_TOP . '?' . SID);
@@ -240,5 +256,4 @@
 function sfMobileInit() {
 	lfMobileInitInput();
-
 	if (basename(dirname($_SERVER['SCRIPT_NAME'])) != 'unsupported') {
 		lfMobileCheckCompatibility();