Index: /branches/feature-module-zeus/data/downloads/module/mdl_zeus/mdl_zeus.inc
===================================================================
--- /branches/feature-module-zeus/data/downloads/module/mdl_zeus/mdl_zeus.inc	(revision 15436)
+++ /branches/feature-module-zeus/data/downloads/module/mdl_zeus/mdl_zeus.inc	(revision 15450)
@@ -15,5 +15,9 @@
 // ¥¯¥ì¥¸¥Ã¥ÈÊ¬³ä²ó¿ô
 $arrPaymentClass = array(
-	'1' => '°ì³çÊ§¤¤',
+	'01' => '°ì³çÊ§¤¤',
+	'03' => '3²óÊ§¤¤',
+	'05' => '5²óÊ§¤¤',
+	'06' => '6²óÊ§¤¤',
+	'10' => '10²óÊ§¤¤'		
 );
 
Index: /branches/feature-module-zeus/data/downloads/module/mdl_zeus/zeus_credit.tpl
===================================================================
--- /branches/feature-module-zeus/data/downloads/module/mdl_zeus/zeus_credit.tpl	(revision 15418)
+++ /branches/feature-module-zeus/data/downloads/module/mdl_zeus/zeus_credit.tpl	(revision 15450)
@@ -64,5 +64,4 @@
 						<form name="form1" id="form1" method="post" action="./load_payment_module.php" autocomplete="off">
 						<input type="hidden" name="mode" value="next">
-						<input type="hidden" name="uniqid" value="">
 							<tr><td height="5" class="fs12"></td></tr>
 							<tr>
Index: /branches/feature-module-zeus/data/downloads/module/mdl_zeus/zeus_credit_mobile.tpl
===================================================================
--- /branches/feature-module-zeus/data/downloads/module/mdl_zeus/zeus_credit_mobile.tpl	(revision 15440)
+++ /branches/feature-module-zeus/data/downloads/module/mdl_zeus/zeus_credit_mobile.tpl	(revision 15450)
@@ -14,5 +14,5 @@
 
 <form method="post" action="<!--{$smarty.server.PHP_SELF|escape}-->">
-<input type="hidden" name="mode" value="register">
+<input type="hidden" name="mode" value="next">
 <input type="hidden" name="uniqid" value="<!--{$tpl_uniqid}-->">
 
@@ -76,10 +76,10 @@
 
 ¢£¤ª»ÙÊ§¤¤ÊýË¡<br>
-<!--{assign var=key value="paymethod"}-->
+<!--{assign var=key value="payment_class"}-->
 <!--{if $arrErr[$key] != ""}-->
 <font color="red"><!--{$arrErr[$key]}--></font>
 <!--{/if}-->
 <select name="<!--{$key}-->">
-<!--{html_options options=$arrPayMethod selected=$arrForm[$key].value}-->
+<!--{html_options options=$arrPaymentClass selected=$arrForm[$key].value}-->
 </select>
 
@@ -87,4 +87,8 @@
 
 <center><input type="submit" name="register" value="ÃíÊ¸´°Î»¥Ú¡¼¥¸¤Ø"></center>
+</form>
+
+<form method="post" action="<!--{$smarty.server.PHP_SELF|escape}-->">
+<input type="hidden" name="mode" value="return">
 <center><input type="submit" name="return" value="Ìá¤ë"></center>
 </form>
Index: /branches/feature-module-zeus/data/downloads/module/mdl_zeus/zeus_credit.php
===================================================================
--- /branches/feature-module-zeus/data/downloads/module/mdl_zeus/zeus_credit.php	(revision 15440)
+++ /branches/feature-module-zeus/data/downloads/module/mdl_zeus/zeus_credit.php	(revision 15450)
@@ -52,5 +52,9 @@
 	// Àµ¾ï¤Ê¿ä°Ü¤Ç¤¢¤ë¤³¤È¤òµ­Ï¿¤·¤Æ¤ª¤¯
 	$objSiteSess->setRegistFlag();
-	header("Location: " . URL_SHOP_CONFIRM);
+	if (GC_MobileUserAgent::isMobile()) {
+		header("Location: " . gfAddSessionId(URL_SHOP_CONFIRM));
+	} else {
+		header("Location: " . URL_SHOP_CONFIRM);
+	}
 	exit;
 	break;
@@ -60,4 +64,7 @@
 	$objFormParam->convParam();
 	$objPage->arrErr = lfCheckError($arrRet);
+	
+	sfPrintR($objPage->arrErr);
+	
 	// ÆþÎÏ¥¨¥é¡¼¤Ê¤·¤Î¾ì¹ç
 	if(count($objPage->arrErr) == 0) {
@@ -105,6 +112,6 @@
 	$objFormParam->addParam("¥«¡¼¥É´ü¸ÂÇ¯", "card_year", 2, "n", array("EXIST_CHECK", "NUM_COUNT_CHECK", "NUM_CHECK"));
 	$objFormParam->addParam("¥«¡¼¥É´ü¸Â·î", "card_month", 2, "n", array("EXIST_CHECK", "NUM_COUNT_CHECK", "NUM_CHECK"));
-	$objFormParam->addParam("À«", "card_name01", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "ALPHA_CHECK"));
-	$objFormParam->addParam("Ì¾", "card_name02", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "ALPHA_CHECK"));
+	$objFormParam->addParam("Ì¾", "card_name01", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "ALPHA_CHECK"));
+	$objFormParam->addParam("À«", "card_name02", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "ALPHA_CHECK"));
 }
 