Index: /branches/beta/html/install/sql/insert_data.sql
===================================================================
--- /branches/beta/html/install/sql/insert_data.sql	(revision 15128)
+++ /branches/beta/html/install/sql/insert_data.sql	(revision 15482)
@@ -224,5 +224,6 @@
 INSERT INTO dtb_templates (template_code, template_name, create_date, update_date) VALUES('default1','¥Ç¥Õ¥©¥ë¥È1', now(), now());
 
-insert into dtb_mailtemplate (subject, body, creator_id, update_date, create_date, send_type, template_name) values (
+insert into dtb_mailtemplate (template_id, subject, body, creator_id, update_date, create_date, send_type, template_name) values (
+'1',
 '¤´ÃíÊ¸¤¢¤ê¤¬¤È¤¦¤´¤¶¤¤¤Þ¤¹¡£',
 '{name}ÍÍ
@@ -244,5 +245,6 @@
 '¼õÃí´°Î»¥Æ¥ó¥×¥ì¡¼¥È(PCÍÑ)');
 
-insert into dtb_mailtemplate (subject, body, creator_id, update_date, create_date, send_type, template_name) values (
+insert into dtb_mailtemplate (template_id, subject, body, creator_id, update_date, create_date, send_type, template_name) values (
+'2',
 '¤´ÃíÊ¸¤¢¤ê¤¬¤È¤¦¤´¤¶¤¤¤Þ¤¹¡£',
 '{name}ÍÍ
Index: /branches/beta/html/shopping/complete.php
===================================================================
--- /branches/beta/html/shopping/complete.php	(revision 15120)
+++ /branches/beta/html/shopping/complete.php	(revision 15482)
@@ -63,7 +63,9 @@
     //ÅÐÏ¿¤µ¤ì¤Æ¤¤¤ë¥á¡¼¥ë¥¢¥É¥ì¥¹¤¬·ÈÂÓ¤«PC¤«¤Ë±þ¤¸¤ÆÃíÊ¸´°Î»¥á¡¼¥ë¤Î¥Æ¥ó¥×¥ì¡¼¥È¤òÊÑ¤¨¤ë
     if(ereg("(ezweb.ne.jp$|docomo.ne.jp$|softbank.ne.jp$|vodafone.ne.jp$)",$order_email[0]['order_email'])){
-              sfSendOrderMail($order_id, '1',"","");
+            // ¥â¥Ð¥¤¥ëÈÇ
+    		sfSendOrderMail($order_id, '2');
         }else{
-              sfSendOrderMail($order_id, '0',"","");
+			// PCÈÇ
+        	sfSendOrderMail($order_id, '1');
         }
 	}
Index: /branches/beta/data/conf/conf.php
===================================================================
--- /branches/beta/data/conf/conf.php	(revision 15284)
+++ /branches/beta/data/conf/conf.php	(revision 15482)
@@ -190,5 +190,5 @@
  */
 /* ¥·¥¹¥Æ¥à´ØÏ¢ */
-define ('DEBUG_MODE', false);                          // ¥Ç¥Ð¥Ã¥°¥â¡¼¥É(true¡§sfPrintR¤äDB¤Î¥¨¥é¡¼¥á¥Ã¥»¡¼¥¸¤ò½ÐÎÏ¤¹¤ë¡¢false¡§½ÐÎÏ¤·¤Ê¤¤)
+define ('DEBUG_MODE', true);                          // ¥Ç¥Ð¥Ã¥°¥â¡¼¥É(true¡§sfPrintR¤äDB¤Î¥¨¥é¡¼¥á¥Ã¥»¡¼¥¸¤ò½ÐÎÏ¤¹¤ë¡¢false¡§½ÐÎÏ¤·¤Ê¤¤)
 define ("ADMIN_ID", "1");								// ´ÉÍý¥æ¡¼¥¶ID(¥á¥ó¥Æ¥Ê¥ó¥¹ÍÑÉ½¼¨¤µ¤ì¤Ê¤¤¡£)
 define ("CUSTOMER_CONFIRM_MAIL", false);				// ²ñ°÷ÅÐÏ¿»þ¤Ë²¾²ñ°÷³ÎÇ§¥á¡¼¥ë¤òÁ÷¿®¤¹¤ë¤«¡Êtrue:²¾²ñ°÷¡¢false:ËÜ²ñ°÷¡Ë
@@ -600,6 +600,6 @@
 // ³Æ¥Æ¥ó¥×¥ì¡¼¥È¤Î¥Ñ¥¹
 $arrMAILTPLPATH = array(
-	0 => "mail_templates/order_mail.tpl",
-    1 => "mobile/mail_templates/order_mail.tpl"
+	1 => "mail_templates/order_mail.tpl",
+    2 => "mobile/mail_templates/order_mail.tpl"
 );
 
Index: /branches/beta/data/lib/slib.php
===================================================================
--- /branches/beta/data/lib/slib.php	(revision 15120)
+++ /branches/beta/data/lib/slib.php	(revision 15482)
@@ -540,4 +540,5 @@
 	// POST¤Î¥æ¥Ë¡¼¥¯ID¤È¥»¥Ã¥·¥ç¥ó¤Î¥æ¥Ë¡¼¥¯ID¤òÈæ³Ó(¥æ¥Ë¡¼¥¯ID¤¬POST¤µ¤ì¤Æ¤¤¤Ê¤¤¾ì¹ç¤Ï¥¹¥ë¡¼)
 	$ret = $objSiteSess->checkUniqId();
+	
 	if($ret != true) {
 		// ¥¨¥é¡¼¥Ú¡¼¥¸¤ÎÉ½¼¨
@@ -1755,9 +1756,8 @@
 				$arrOther[$other_key]["value"] = "";
 			}
-		}
-		
+		}		
 		$objPage->arrOther = $arrOther;
 	}
-
+		
 	// ÅÔÆ»ÉÜ¸©ÊÑ´¹
 	global $arrPref;
@@ -1772,17 +1772,13 @@
 	// ¥á¡¼¥ëËÜÊ¸¤Î¼èÆÀ
 	$objMailView->assignobj($objPage);
+	
     $name = $objPage->arrOrder['order_name01']." ".$objPage->arrOrder['order_name02'];
     $objPage->tpl_body = ereg_replace( "(\{name\})", $name ,  $objPage->tpl_body );
     $tmp_subject = ereg_replace( "(\{name\})", $name ,  $tmp_subject );
-    
-    // $template_id==1¤Ï·ÈÂÓÍÑ
-    if($template_id == '1'){
-	   $body = $objMailView->fetch($arrMAILTPLPATH[1]);
-       $body = ereg_replace( "(\{order\})", $body ,  $objPage->tpl_body );
-    }else{
-       $body = $objMailView->fetch($arrMAILTPLPATH[0]); 
-       $body = ereg_replace( "(\{order\})", $body ,  $objPage->tpl_body );
-    }
-    
+	 
+    // ¼õÃíÆ°ÅªÉôÊ¬¤ò¼èÆÀ
+	$body = $objMailView->fetch($arrMAILTPLPATH[$template_id]);
+    $body = ereg_replace( "(\{order\})", $body ,  $objPage->tpl_body );
+        
 	// ¥á¡¼¥ëÁ÷¿®½èÍý
 	$objSendMail = new GC_SendMail();
@@ -1795,5 +1791,4 @@
 	$objSendMail->setItem('', $tosubject, $body, $from, $arrInfo['shop_name'], $from, $error, $error, $bcc);
 	$objSendMail->setTo($arrOrder["order_email"], $arrOrder["order_name01"] . " ". $arrOrder["order_name02"] ." ÍÍ");
-
 
 	// Á÷¿®¥Õ¥é¥°:true¤Î¾ì¹ç¤Ï¡¢Á÷¿®¤¹¤ë¡£