Index: /branches/feature-module-zeus/data/downloads/module/mdl_zeus/zeus_credit.php
===================================================================
--- /branches/feature-module-zeus/data/downloads/module/mdl_zeus/zeus_credit.php	(revision 15489)
+++ /branches/feature-module-zeus/data/downloads/module/mdl_zeus/zeus_credit.php	(revision 15501)
@@ -14,5 +14,5 @@
 			$this->tpl_mainpage = MODULE_PATH . "mdl_zeus/zeus_credit.tpl";
 		}		
-		
+		$this->tpl_onload = "fnCheckPayment();";
 		/*
 		 session_start»þ¤Îno-cache¥Ø¥Ã¥À¡¼¤òÍÞÀ©¤¹¤ë¤³¤È¤Ç
Index: anches/feature-module-zeus/data/downloads/module/mdl_zeus/card_mobile.tpl
===================================================================
--- /branches/feature-module-zeus/data/downloads/module/mdl_zeus/card_mobile.tpl	(revision 15418)
+++ 	(revision )
@@ -1,24 +1,0 @@
-<!--{*
-/*
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- */
-*}-->
-<center>¥¯¥ì¥¸¥Ã¥È·èºÑ</center>
-
-<hr>
-<br>
-<form method="post" action="<!--{$order_url|escape}-->">
-	<!--{foreach key=key item=item from=$arrSendData}-->
-	<input type="hidden" name="<!--{$key}-->" value="<!--{$item}-->">
-	<!--{/foreach}-->
-	<center><input type="submit" value="¥¯¥ì¥¸¥Ã¥È·èºÑ¤Ë¿Ê¤à"></center>
-</form>
-
-<br>
-<hr>
-
-<!-- ¢§¥Õ¥Ã¥¿¡¼ ¤³¤³¤«¤é -->
-<!--{include file='footer.tpl'}-->
-<!-- ¢¥¥Õ¥Ã¥¿¡¼ ¤³¤³¤Þ¤Ç -->
Index: anches/feature-module-zeus/data/downloads/module/mdl_zeus/card.php
===================================================================
--- /branches/feature-module-zeus/data/downloads/module/mdl_zeus/card.php	(revision 15418)
+++ 	(revision )
@@ -1,131 +1,0 @@
-<?php
-/*
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- */
-
-require_once(MODULE_PATH . "mdl_zero/mdl_zero.inc");
-
-class LC_Page {
-	function LC_Page() {
-        $this->tpl_mainpage = MODULE_PATH . 'mdl_zero/card_mobile.tpl';
-		/*
-		 session_start»þ¤Îno-cache¥Ø¥Ã¥À¡¼¤òÍÞÀ©¤¹¤ë¤³¤È¤Ç
-		 ¡ÖÌá¤ë¡×¥Ü¥¿¥ó»ÈÍÑ»þ¤ÎÍ­¸ú´ü¸ÂÀÚ¤ìÉ½¼¨¤òÍÞÀ©¤¹¤ë¡£
-		 private-no-expire:¥¯¥é¥¤¥¢¥ó¥È¤Î¥­¥ã¥Ã¥·¥å¤òµö²Ä¤¹¤ë¡£
-		*/
-		session_cache_limiter('private-no-expire');		
-	} 
-}
-
-$objPage = new LC_Page();
-$objView = new SC_MobileView();
-$objSiteSess = new SC_SiteSession();
-$objCartSess = new SC_CartSession();
-$objCampaignSess = new SC_CampaignSession();
-$objSiteInfo = $objView->objSiteInfo;
-$arrInfo = $objSiteInfo->data;
-
-// ¥æ¡¼¥¶¥æ¥Ë¡¼¥¯ID¤Î¼èÆÀ¤È¹ØÆþ¾õÂÖ¤ÎÀµÅöÀ­¤ò¥Á¥§¥Ã¥¯
-$uniqid = sfCheckNormalAccess($objSiteSess, $objCartSess);
-
-// ¥«¡¼¥È½¸·×½èÍý
-$objPage = sfTotalCart($objPage, $objCartSess, $arrInfo);
-
-// °ì»þ¼õÃí¥Æ¡¼¥Ö¥ë¤ÎÆÉ¹þ
-$arrData = sfGetOrderTemp($uniqid);
-
-// ¥«¡¼¥È½¸·×¤ò¸µ¤ËºÇ½ª·×»»
-$arrData = sfTotalConfirm($arrData, $objPage, $objCartSess, $arrInfo);
-
-// »ÙÊ§¤¤¾ðÊó¤ò¼èÆÀ
-$arrPayment = $objQuery->getall("SELECT module_id, memo01, memo02, memo03, memo04, memo05, memo06, memo07, memo08, memo09, memo10 FROM dtb_payment WHERE payment_id = ? ", array($arrData["payment_id"]));
-
-// ¥Ç¡¼¥¿Á÷¿®ÀèCGI ·ÈÂÓÃ¼Ëö¤Î¾ì¹ç¤Ï ·ÈÂÓÍÑ¤ËÈô¤Ð¤¹
-if(GC_MobileUserAgent::isMobile()) {
-    $objPage = lfSendMobileCredit($arrData, $arrPayment, $objPage);
-}else{
-    lfSendPcCredit($arrData, $arrPayment);
-}
-
-$objPage = lfSendMobileCredit($arrData, $arrPayment, $objPage);
-
-$objView->assignobj($objPage);
-$objView->display(SITE_FRAME);
-
-//---------------------------------------------------------------------------------------------------------------------------------------------------------
-
-// ¥Ç¡¼¥¿Á÷¿®½èÍý(PC)
-function lfSendPcCredit($arrData, $arrPayment){
-    global $objCartSess;
-    global $objSiteSess;
- 
-	// Á÷¿®¥Ç¡¼¥¿À¸À®
-	$arrSendData = array(
-		'clientip' => $arrPayment[0]["memo02"],						                                // ÈÖÁÈ¥³¡¼¥É
-		'custom' => SEND_PARAM_CUSTOM ,										                        // yes¸ÇÄê
-		'send' => SEND_PARAM_SEND,	                                                                // jpall¸ÇÄê
-		'money' => $arrData["payment_total"],							                            // ¶â³Û
-		'usrtel' => $arrData["order_tel01"] . $arrData["order_tel02"] . $arrData["order_tel03"],	// ÅÅÏÃÈÖ¹æ
-		'usrmail' => $arrData["order_email"],					                                    // ¥á¡¼¥ë¥¢¥É¥ì¥¹
-		'sendid' => $arrData["order_temp_id"] . SEND_PARAM_DELIMITER . $arrData["payment_id"],      // ¥ª¡¼¥À¡¼TEMPID , payment_id
-		'sendpoint' => ECCUBE_PAYMENT	    									                    // EC-CUBE
-	);
-    
-	// ¥»¥Ã¥·¥ç¥ó¥«¡¼¥ÈÆâ¤Î¾¦ÉÊ¤òºï½ü¤¹¤ë¡£
-	$objCartSess->delAllProducts();
-	// ÃíÊ¸°ì»þID¤ò²ò½ü¤¹¤ë¡£
-	$objSiteSess->unsetUniqId();
-    
-    $order_url = SEND_PARAM_PC_URL;
-    $html = '';
-    $html .= '<body onload="document.form1.submit();">';
-    $html .= '<form name="form1" id="form1" method="post" action="' . $order_url . '">';
-    foreach($arrSendData as $key => $val){
-        $html .= '	<input type="hidden" name="' . $key . '" value="' . $val . '">';
-    }
-    $html .= '	</form>';
-    $html .= '	</body>';
-//    $html .= "<script type='text/javascript'>document.form1.submit();</script>";
-    
-    echo $html;
-    exit();
-}
-
-// ¥Ç¡¼¥¿Á÷¿®½èÍý(MOBILE)
-function lfSendMobileCredit($arrData, $arrPayment, $objPage){
-    global $objCartSess;
-    global $objSiteSess;
- 
-	// Èó²ñ°÷¤Î¤È¤­¤Ï user_id ¤Ë not_member¤ÈÁ÷¤ë
-	($arrData["customer_id"] == 0) ? $user_id = "not_member" : $user_id = $arrData["customer_id"];	
-	
-	// Á÷¿®¥Ç¡¼¥¿À¸À®
-	$arrSendData = array(
-		'clientip' => $arrPayment[0]["memo05"],						                                // ÈÖÁÈ¥³¡¼¥É
-		'act' => SEND_PARAM_ACT ,										                            // imode¸ÇÄê
-		'send' => SEND_PARAM_SEND,	                                                                // jpall¸ÇÄê
-		'money' => $arrData["payment_total"],						                    	        // ¶â³Û
-		'usrtel' => $arrData["order_tel01"] . $arrData["order_tel02"] . $arrData["order_tel03"],	// ÅÅÏÃÈÖ¹æ
-		'usrmail' => $arrData["order_email"],					                                    // ¥á¡¼¥ë¥¢¥É¥ì¥¹
-        'sendid' => $arrData["order_temp_id"] . SEND_PARAM_DELIMITER . $arrData["payment_id"],		                // ¥ª¡¼¥À¡¼TEMPID , payment_id
-		'sendpoint' => ECCUBE_PAYMENT,	    									                    // EC-CUBE
-		'siteurl' => SITE_URL . "mobile/",	    							                        		    // Ìá¤êÀèURL
-		'sitestr' => "TOP¤ØÌá¤ë"                                						        	// Ìá¤êÀè¥ê¥ó¥¯Ì¾
-	);
-    
-	// ¥»¥Ã¥·¥ç¥ó¥«¡¼¥ÈÆâ¤Î¾¦ÉÊ¤òºï½ü¤¹¤ë¡£
-	$objCartSess->delAllProducts();
-	// ÃíÊ¸°ì»þID¤ò²ò½ü¤¹¤ë¡£
-	$objSiteSess->unsetUniqId();
-    
-    // ¥Ç¡¼¥¿Á÷¿®ÀèCGI ·ÈÂÓÃ¼Ëö¤Î¾ì¹ç¤Ï ·ÈÂÓÍÑ¤ËÈô¤Ð¤¹
-    $objPage->order_url = SEND_PARAM_MOBILE_URL;
-    $objPage->arrSendData = $arrSendData;
-    
-    return $objPage;
-}
-
-
-?>