Index: /branches/feature-module-zeus/data/downloads/module/mdl_zeus/mdl_zeus.inc
===================================================================
--- /branches/feature-module-zeus/data/downloads/module/mdl_zeus/mdl_zeus.inc	(revision 15489)
+++ /branches/feature-module-zeus/data/downloads/module/mdl_zeus/mdl_zeus.inc	(revision 15508)
@@ -61,23 +61,33 @@
  * Ìá¤êÃÍ	¡§¼èÆÀ·ë²Ì
  **************************************************************************************************************/
-function sfPostPaymentData($arrData, $arrInput){
+function sfPostPaymentData($arrData, $arrInput, $quick_chage = false){
 	$arrPaymentDB = sfGetPaymentDB(MDL_ZEUS_ID);
 	$telno = $arrData['order_tel01'].$arrData['order_tel02'].$arrData['order_tel03'];
 	$cardnumber = $arrInput['card_no01'].$arrInput['card_no02'].$arrInput['card_no03'].$arrInput['card_no04'];
-	$arrPost = array(
-		'clientip' => $arrPaymentDB['clientip'],
-		'cardnumber' => $cardnumber,
-		'expyy' => $arrInput['card_year'],
-		'expmm' => $arrInput['card_month'],
-		'telno' => $telno,
-		'email' => $arrData['order_email'],
-		'sendid' => $arrData['order_id'],
-		'username' => $arrInput['card_name01'].$arrInput['card_name02'],
-		'money' => $arrData['total'],
-		'sendpoint' => 'eccube',
-		'send' => 'mall',
-		'pubsec' => '',
-		'div' => $arrInput['payment_class']
-	);
+	
+	if(!$quick_chage) {
+		$arrPost = array(
+			'clientip' => $arrPaymentDB['clientip'],
+			'cardnumber' => $cardnumber,
+			'expyy' => $arrInput['card_year'],
+			'expmm' => $arrInput['card_month'],
+			'telno' => $telno,
+			'email' => $arrData['order_email'],
+			'sendid' => $arrData['order_id'],
+			'username' => $arrInput['card_name01'].$arrInput['card_name02'],
+			'money' => $arrData['total'],
+			'sendpoint' => 'eccube',
+			'send' => 'mall',
+			'pubsec' => '',
+			'div' => $arrInput['payment_class']
+		);
+	} else {
+		// ¥¯¥¤¥Ã¥¯¥Á¥ã¡¼¥¸¤òÍøÍÑ¤¹¤ë¾ì¹ç
+		$objQuery = new SC_Query();
+		$objQuery->setlimit(1);
+		$objQuery->setorder("create_date DESC");
+		$arrRet = $objQuery->select("order_id, order_tel01, order_tel02, order_tel03", "dtb_order", "memo01 = ? AND customer_id = ?", array(MDL_ZEUS_ID, $arrData['customer_id']));
+		sfPrintR($arrRet);
+	}
 	
 	$req = new HTTP_Request(SECURE_LINK_URL);
@@ -96,9 +106,4 @@
 		$arrVal["memo01"] = MDL_ZEUS_ID;	// ¥â¥¸¥å¡¼¥ëID
 		$arrVal["memo03"] = $response;		// ½èÍý·ë²Ì
-		// QuickChargeÍÑ¤ÎÅÅÊ¸¤òÊÝÂ¸¡Ê2²óÌÜ°Ê¹ßÆþÎÏ¾ÊÎ¬ÍÑ¡Ë
-		/*
-			clientip ¡Ü telno ¡Ü sendid ¤Ç¥«¡¼¥É¾ðÊó¤ò¸¡º÷
-		 */
-		$arrVal["memo04"] = $arrPost['clientip'].$arrPost['telno'].$arrPost['sendid'];
 		// ¼õÃí°ì»þ¥Æ¡¼¥Ö¥ë¤Ë¹¹¿·
 		sfRegistTempOrder($arrData['order_temp_id'], $arrVal);
Index: /branches/feature-module-zeus/data/downloads/module/mdl_zeus/zeus_credit.tpl
===================================================================
--- /branches/feature-module-zeus/data/downloads/module/mdl_zeus/zeus_credit.tpl	(revision 15507)
+++ /branches/feature-module-zeus/data/downloads/module/mdl_zeus/zeus_credit.tpl	(revision 15508)
@@ -200,5 +200,5 @@
 											</tr>
 										</table>
-										</td>
+										</td>	
 									</tr>
 									<tr>
Index: /branches/feature-module-zeus/data/downloads/module/mdl_zeus/zeus_credit.php
===================================================================
--- /branches/feature-module-zeus/data/downloads/module/mdl_zeus/zeus_credit.php	(revision 15506)
+++ /branches/feature-module-zeus/data/downloads/module/mdl_zeus/zeus_credit.php	(revision 15508)
@@ -86,10 +86,19 @@
 	break;
 case 'quick_charge':
-	$objQuery = new SC_Query();
-	
-	$objQuery->setlimit(1);
-	$objQuery->setorder("create_date DESC");
-	$arrRet = $objQuery->select("memo04", "dtb_order", "memo01 = ? AND customer_id = ?", array(MDL_ZEUS_ID, $arrData['customer_id']));
-	sfPrintR($arrRet);
+    // ¥¯¥ì¥¸¥Ã¥ÈÅÅÊ¸Á÷¿®
+	$ret = sfPostPaymentData($arrData, $arrInput, true);
+	// À®¸ù
+	if($ret) {
+    	// Àµ¾ï¤ËÅÐÏ¿¤µ¤ì¤¿¤³¤È¤òµ­Ï¿¤·¤Æ¤ª¤¯
+        $objSiteSess->setRegistFlag();
+		if (GC_MobileUserAgent::isMobile()) {
+			header("Location: " . gfAddSessionId(URL_SHOP_COMPLETE));
+		} else {
+			header("Location: " . URL_SHOP_COMPLETE);
+		}
+	} else {
+		// ¼ºÇÔ
+		$objPage->tpl_error = "Ç§¾Ú¤Ë¼ºÇÔ¤·¤Þ¤·¤¿¡£¤ª¼ê¿ô¤Ç¤¹¤¬ÆþÎÏÆâÍÆ¤ò¤´³ÎÇ§¤¯¤À¤µ¤¤¡£";
+	}
 	break;
 }